call tabltg GETREG
call tabltg IOMOD
call tabltg RESULTS
gpdel/sj
del %1.har
del thisreg.*
md outputs
del outputs\%1.*
rem takes 1 parameter: name of region
rem Make GEMPACK text file with one region name 
echo 1 Strings Length 12 Header "TREG" LongName "Set THISREG Selected Region"; >THISREG.TXT
echo %1 >>THISREG.TXT
rem Convert GEMPACK text file to HAR
Txt2HAR THISREG.TXT THISREG.HAR
if errorlevel 1 goto error
rem Extract data for this region only into RegDat.har
del RegDat.har
getreg -cmf getreg.cmf  >nul:
if errorlevel 1 goto error

rem Compute Type1 multipliers
del *.eq4
del *.lu4
del sagem*.har
iomod -cmf iomod1.cmf >nul:
if errorlevel 1 goto error
sagem -cmf sagem.cmf >nul:
if errorlevel 1 goto error
sltoht -sti sltoht.sti >nul:
if errorlevel 1 goto error
ren sagem.har sagem1.har

rem Compute Type2 multipliers
del *.eq4
del *.lu4
del sagem.har
iomod -cmf iomod2.cmf >nul: 
if errorlevel 1 goto error
sagem -cmf sagem.cmf >nul:
if errorlevel 1 goto error
sltoht -sti sltoht.sti >nul:
if errorlevel 1 goto error
ren sagem.har sagem2.har
 
rem Combine original data with Type1 and Type2 multipliers and store in file named after region
del results.har
results -cmf results.cmf  >nul:
if errorlevel 1 goto error
copy RESULTS.HAR OUTPUTS\%1.HAR
har2xls RESULTS.HAR OUTPUTS\%1.XLS /B

rem Delete temporary files
DEL THISREG.HAR REGDAT.HAR SAGEM1.HAR SAGEM2.HAR
DEL *.SL4 *.LU4 *.EQ4 *.UPD *.SLC

dir/od *.har
dir/od outputs
echo DOREG BATCH JOB SUCCESSFUL

goto endbat
:error
echo off
echo ###### ERROR: DOREG BATCH JOB FAILED #####
echo Check log file; most recent is listed last
dir/od *.log
:again
echo Please press Ctrl-C to terminate batch job
pause > nul
goto again
:endbat
 